import { ReactElement } from 'react';
import { render, RenderOptions } from '@testing-library/react';
import userEvent from '@testing-library/user-event';
declare const customRender: (ui: ReactElement, options?: RenderOptions) => ReturnType<typeof render>;
declare const renderWithProviders: (ui: ReactElement, options?: Omit<RenderOptions, "wrapper">) => import("@testing-library/react").RenderResult<typeof import("@testing-library/dom/types/queries"), HTMLElement, HTMLElement>;
export declare function fakeSelectItem(): {
    label: string;
    value: string;
};
export declare function fakeSelectItems(count?: number): {
    label: string;
    value: string;
}[];
export * from '@testing-library/react';
export { customRender as render, renderWithProviders, userEvent };
